using System;
using System.Collections.Generic;
//using System.Text.Json.Serialization; // For System.Text.Json
using Newtonsoft.Json; // Uncomment if using Newtonsoft.Json
namespace MisDataSaveDate.MOM
{
    public class EmployeeInfoSave
    {
        [JsonProperty("data")]
        public List<EmployeeInfo> Data { get; set; }
    }

    public class EmployeeInfo
    {
        [JsonProperty("personID")]
        // [JsonProperty("empID")] // For Newtonsoft.Json
        public string PersonId { get; set; } // 人员ID

        [JsonProperty("personCode")]
        public string PersonCode { get; set; } // 人员编号

        [JsonProperty("personName")]
        public string PersonName { get; set; } // 人员名称

        [JsonProperty("orgID")]
        public string OrgId { get; set; } // 所属组织

        [JsonProperty("phoneNumber")]
        public string PhoneNumber { get; set; } // 手机号

        [JsonProperty("createTime")]
        public string CreateTime { get; set; } // 创建时间

        [JsonProperty("lastModifyTime")]
        public string LastModifyTime { get; set; } // 最后修改时间
    }
}